Package org.eclipse.rdf4j.spring.support

## Interface OperationInstantiator

- All Known Implementing Classes:
    `CachingOperationInstantiator`, `DirectOperationInstantiator`

      public interface OperationInstantiator

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GraphQuery` | `getGraphQuery​(RepositoryConnection con, Class<?> owner, String operationName, Supplier<String> graphQuerySupplier)` |
    `GraphQuery` | `getGraphQuery​(RepositoryConnection con, String graphQuery)` |
    `TupleQuery` | `getTupleQuery​(RepositoryConnection con, Class<?> owner, String operationName, Supplier<String> queryStringSupplier)` |
    `TupleQuery` | `getTupleQuery​(RepositoryConnection con, String queryString)` |
    `Update` | `getUpdate​(RepositoryConnection con, Class<?> owner, String operationName, Supplier<String> updateStringSupplier)` |
    `Update` | `getUpdate​(RepositoryConnection con, String updateString)` |

- - ### Method Detail

    - #### getTupleQuery

          TupleQuery getTupleQuery​(RepositoryConnection con,
                                   String queryString)

    - #### getTupleQuery

          TupleQuery getTupleQuery​(RepositoryConnection con,
                                   Class<?> owner,
                                   String operationName,
                                   Supplier<String> queryStringSupplier)

    - #### getUpdate

          Update getUpdate​(RepositoryConnection con,
                           String updateString)

    - #### getUpdate

          Update getUpdate​(RepositoryConnection con,
                           Class<?> owner,
                           String operationName,
                           Supplier<String> updateStringSupplier)

    - #### getGraphQuery

          GraphQuery getGraphQuery​(RepositoryConnection con,
                                   String graphQuery)

    - #### getGraphQuery

          GraphQuery getGraphQuery​(RepositoryConnection con,
                                   Class<?> owner,
                                   String operationName,
                                   Supplier<String> graphQuerySupplier)